# Build switch:
#   --with mailtests         Enable mail tests

%define mailtests      0

%{?_with_mailtests:%define mailtests 1}


Name:           perl-Log-Dispatch
Version:        2.11
Release:        2%{?dist}
Summary:        Dispatches messages to one or more outputs

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Log-Dispatch/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Log-Dispatch-%{version}.tar.gz
Patch0:         Log-Dispatch-2.11-mod_perl2.patch
Patch1:         Log-Dispatch-2.11-enable-mail-tests.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Validate)
%if %{mailtests}
BuildRequires:  perl(Mail::Send), perl(Mail::Sender)
BuildRequires:  perl(Mail::Sendmail), perl(MIME::Lite)
%endif
BuildRequires:  perl(File::Find::Rule), perl(Test::Pod)
BuildRequires:  mod_perl
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Log::Dispatch is a suite of OO modules for logging messages to
multiple outputs, each of which can have a minimum and maximum log
level.  It is designed to be easily subclassed, both for creating a
new dispatcher object and particularly for creating new outputs.


%prep
%setup -q -n Log-Dispatch-%{version}
if %{__perl} -e 'use Apache2::Log' ; then
%patch0 -p1
fi
%if %{mailtests}
%patch1 -p1
%endif


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
chmod -R u+w $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Log/
%{_mandir}/man3/*.3*


%changelog
* Mon Sep 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.11-2
- Better mod_perl handling.

* Fri Sep 09 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.11-1
- First build.
